logging.h File Reference

Go to the source code of this file.

## Macros

#define | LOGGING_STR "Configure logging\n"
#define | FILTER_STR "Filter log messages\n"

## Functions

void | logging_vty_add_cmds ()
| Register logging related commands to the VTY. More...
void | logging_vty_add_deprecated_subsys (void *ctx, const char *name)
struct log_target * | osmo_log_vty2tgt (struct vty *vty)

## Macro Definition Documentation

## FILTER_STR

#define FILTER_STR "Filter log messages\n"

## LOGGING_STR

#define LOGGING_STR "Configure logging\n"

## Function Documentation

## logging_vty_add_cmds()

void logging_vty_add_cmds | ( |  | ) |

Register logging related commands to the VTY.

Call this once from your application if you want to support those commands.

References CFG_LOG_NODE, cfg_log_node, CONFIG_NODE, config_write_log(), install_element(), install_element_ve(), and install_node().

## logging_vty_add_deprecated_subsys()

void logging_vty_add_deprecated_subsys | ( | void * | ctx,
|  | const char * | name
| ) |  |

References cmd_element::attr, CFG_LOG_NODE, CMD_ATTR_DEPRECATED, cmd_element::doc, cmd_element::func, install_element(), log_deprecated_func(), and cmd_element::string.

## osmo_log_vty2tgt()

struct log_target* osmo_log_vty2tgt | ( | struct vty * | vty | ) |

References CFG_LOG_NODE, telnet_connection::dbg, if(), vty::index, vty::node, vty::priv, VTY_NEWLINE, and vty_out().

Referenced by DEFUN().